Please merge 5.6-4 from Debian Sid

Bug #1776808 reported by Simon Quigley on 2018-06-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
brltty (Ubuntu)
Wishlist
Simon Quigley

Bug Description

Debian Sid has a new upload of brltty which contains some useful fixes. Let's merge it.

Here is the full changelog entry:

brltty (5.6-4) unstable; urgency=medium

  * Cherry-pick python brlapi close fix, to avoid orca accumulating brlapi
    connections.
  * Cherry-pick at-spi2 initialization fix.
  * Cherry-pick xbrlapi patch to be able to type any keysym.
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <email address hidden> Thu, 17 May 2018 19:28:00 +0200

Simon Quigley (tsimonq2) on 2018-06-14
Changed in brltty (Ubuntu):
status: New → In Progress
importance: Undecided → Wishlist
assignee: nobody → Simon Quigley (tsimonq2)
Simon Quigley (tsimonq2) wrote :

Here is the merge uploaded to my PPA: https://launchpad.net/~tsimonq2/+archive/ubuntu/upload-testing/+sourcepub/9178757/+listing-archive-extra

It builds fine.

Unless there are objections, please upload.

Alex ARNAUD (alexarnaud) wrote :

Debian builds are tested by blind people so I assume the Samuel's patches work correctly. I'm already using Debian 5.6-4 on my Debian machine without issues.

Best regards,
Alex.

Uploaded after removing the trailing newline from changelog file

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brltty - 5.6-4ubuntu1

---------------
brltty (5.6-4ubuntu1) cosmic; urgency=low

  * Merge from Debian Sid (LP: #1776808). Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      plymouth starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules file that uses brltty-udev.service to activate via
      systemd.
    - Disable brltty.service by default, but enable it if the user configures
      Braille at install time for a non-USB display.
    - Don't install /etc/brltty.conf in the package.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - debian/brltty.sh: Update path /sbin/brltty to /bin/brltty

brltty (5.6-4) unstable; urgency=medium

  * Cherry-pick python brlapi close fix, to avoid orca accumulating brlapi
    connections.
  * Cherry-pick at-spi2 initialization fix.
  * Cherry-pick xbrlapi patch to be able to type any keysym.
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Simon Quigley <email address hidden> Wed, 13 Jun 2018 21:55:05 -0500

Changed in brltty (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers